View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0015386CMakeModulespublic2015-02-03 05:392015-07-08 08:57
ReporterKarl Tarbe 
Assigned ToRolf Eike Beer 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64 LinuxOSArch LinuxOS VersionRolling
Product VersionCMake 3.1.1 
Target VersionCMake 3.1.2Fixed in VersionCMake 3.1.2 
Summary0015386: FindOpenSSL.cmake fails to find new version (1.0.2) of OpenSSL
DescriptionThe version scheme changed, because of a major version upgrade of OpenSSL.

I believe the regex in FindOpenSSL.cmake fails.

CMake Error at /usr/share/cmake-3.0/Modules/FindOpenSSL.cmake:293 (list):
  list GET given empty list
Call Stack (most recent call first):
  CMakeLists.txt:25 (FIND_PACKAGE)


CMake Error at /usr/share/cmake-3.0/Modules/FindOpenSSL.cmake:294 (list):
  list GET given empty list
Call Stack (most recent call first):
  CMakeLists.txt:25 (FIND_PACKAGE)


CMake Error at /usr/share/cmake-3.0/Modules/FindOpenSSL.cmake:296 (list):
  list GET given empty list
Call Stack (most recent call first):
  CMakeLists.txt:25 (FIND_PACKAGE)


CMake Error at /usr/share/cmake-3.0/Modules/FindOpenSSL.cmake:298 (list):
  list GET given empty list
Call Stack (most recent call first):
  CMakeLists.txt:25 (FIND_PACKAGE)
Steps To ReproduceInstall OpenSSL 1.0.2

Use FIND_PACKAGE(OpenSSL REQUIRED)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0037884)
Rolf Eike Beer (developer)
2015-02-03 05:54

Already fixed for next release:

http://www.cmake.org/gitweb?p=cmake.git;a=commitdiff;h=c5d9a8283cfac15b4a5a07f18d5eb10c1f388505 [^]
(0039042)
Robert Maynard (manager)
2015-07-08 08:57

Closing resolved issues that have not been updated in more than 4 months.

- Issue History
Date Modified Username Field Change
2015-02-03 05:39 Karl Tarbe New Issue
2015-02-03 05:54 Rolf Eike Beer Note Added: 0037884
2015-02-03 05:54 Rolf Eike Beer Assigned To => Rolf Eike Beer
2015-02-03 05:54 Rolf Eike Beer Priority urgent => normal
2015-02-03 05:54 Rolf Eike Beer Status new => resolved
2015-02-03 05:54 Rolf Eike Beer Resolution open => fixed
2015-02-03 05:54 Rolf Eike Beer Category (No Category) => Modules
2015-02-03 05:54 Rolf Eike Beer Fixed in Version => CMake 3.2
2015-02-03 05:54 Rolf Eike Beer Target Version => CMake 3.2
2015-02-05 15:53 Rolf Eike Beer Fixed in Version CMake 3.2 => CMake 3.1.2
2015-02-05 15:53 Rolf Eike Beer Target Version CMake 3.2 => CMake 3.1.2
2015-07-08 08:57 Robert Maynard Note Added: 0039042
2015-07-08 08:57 Robert Maynard Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker